/**Begin D:\PDM_UPGRADE\PDM1\HBSS_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HBSS_DIFFHANDLER') 
 CREATE TABLE T_HBSS_DIFFHANDLER (
FID BIGINT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FISV VARCHAR(50) DEFAULT ' ' NOT NULL,
FCLOUDID VARCHAR(50) DEFAULT ' ' NOT NULL,
FAPPID VARCHAR(50) DEFAULT ' ' NOT NULL,
FFORMID VARCHAR(50) DEFAULT ' ' NOT NULL,
FNUMBER VARCHAR(50) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSOURCECLASSNAME VARCHAR(200) DEFAULT ' ' NOT NULL,
FSOURCEMETHODNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FSOURCEMETHODSIGN VARCHAR(50) DEFAULT ' ' NOT NULL,
FISOVERRIDE CHAR(1) DEFAULT '0' NOT NULL,
FISSYSPRESET CHAR(1) DEFAULT '0' NOT NULL,
FRETURNVALUETYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FRETURNVALUEDESC NVARCHAR(200) DEFAULT ' ' NOT NULL,
FAPITYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(500) DEFAULT ' ' NOT NULL,
FFUNCTIONNAME VARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HBSS_DIFFHANDLERPARAM') 
 CREATE TABLE T_HBSS_DIFFHANDLERPARAM (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FPARAMNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FPARAMTYPE VARCHAR(100) DEFAULT ' ' NOT NULL,
FPARAMDESC NVARCHAR(200) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HBSS_DIFFHANDLER_L') 
 CREATE TABLE T_HBSS_DIFFHANDLER_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FRETURNVALUEDESC NVARCHAR(200) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(500) DEFAULT ' ' NOT NULL,
FFUNCTIONNAME NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HBSS_DIFFHANDLERPARAM_L') 
 CREATE TABLE T_HBSS_DIFFHANDLERPARAM_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FPARAMDESC NVARCHAR(200) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HBSS_DIFFIMPLEMENT') 
 CREATE TABLE T_HBSS_DIFFIMPLEMENT (
FID BIGINT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FISV VARCHAR(50) DEFAULT ' ' NOT NULL,
FNUMBER VARCHAR(50) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FDESC NVARCHAR(500) DEFAULT ' ' NOT NULL,
FSERVICE VARCHAR(200) DEFAULT ' ' NOT NULL,
FSERVICEIMPL VARCHAR(200) DEFAULT ' ' NOT NULL,
FENABLE CHAR(1) DEFAULT '0' NOT NULL,
FISSYSPRESET CHAR(1) DEFAULT '0' NOT NULL,
FAPITYPE VARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HBSS_DIFFIMPLEMENT_L') 
 CREATE TABLE T_HBSS_DIFFIMPLEMENT_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FDESC NVARCHAR(500) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HBSS_DIFFIMPLMETHOD') 
 CREATE TABLE T_HBSS_DIFFIMPLMETHOD (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FMETHODNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FMETHODDESC NVARCHAR(200) DEFAULT ' ' NOT NULL,
FRETURNVALUETYPE VARCHAR(100) DEFAULT ' ' NOT NULL,
FRETURNVALUEDESC NVARCHAR(200) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HBSS_DIFFIMPLPARAM') 
 CREATE TABLE T_HBSS_DIFFIMPLPARAM (
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FPARAMNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FPARAMTYPE VARCHAR(100) DEFAULT ' ' NOT NULL,
FPARAMDESC NVARCHAR(200) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HBSS_DIFFIMPLMETHOD_L') 
 CREATE TABLE T_HBSS_DIFFIMPLMETHOD_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FMETHODDESC NVARCHAR(200) DEFAULT ' ' NOT NULL,
FRETURNVALUEDESC NVARCHAR(200) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HBSS_DIFFIMPLPARAM_L') 
 CREATE TABLE T_HBSS_DIFFIMPLPARAM_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FPARAMDESC NVARCHAR(200) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HBSS_DIFFCUSCONFIG') 
 CREATE TABLE T_HBSS_DIFFCUSCONFIG (
FID BIGINT DEFAULT 0 NOT NULL,
FDIFFHANDLERID BIGINT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FAPPID VARCHAR(50) DEFAULT ' ' NOT NULL,
FCLOUDID VARCHAR(50) DEFAULT ' ' NOT NULL,
FISV VARCHAR(50) DEFAULT ' ' NOT NULL,
FISSYSPRESET CHAR(1) DEFAULT '0' NOT NULL,
FENABLE CHAR(1) DEFAULT '0' NOT NULL,
FNUMBER VARCHAR(50) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(500) DEFAULT ' ' NOT NULL,
FSOURCECLASSNAME VARCHAR(200) DEFAULT ' ' NOT NULL,
FSOURCEMETHODNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FFUNCTIONNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FTARGETLOCATION VARCHAR(50) DEFAULT ' ' NOT NULL,
FTARGETCLASSNAME VARCHAR(200) DEFAULT ' ' NOT NULL,
FTARGETMETHODNAME VARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HBSS_DIFFCUSCONFIG_L') 
 CREATE TABLE T_HBSS_DIFFCUSCONFIG_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(500) DEFAULT ' ' NOT NULL,
FFUNCTIONNAME NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HBSS_DIFFPROJAOPCONFIG') 
 CREATE TABLE T_HBSS_DIFFPROJAOPCONFIG (
FID BIGINT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HBSS_DIFFAOPSCOPECONF') 
 CREATE TABLE T_HBSS_DIFFAOPSCOPECONF (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FAPPID VARCHAR(50) DEFAULT ' ' NOT NULL,
FPATH VARCHAR(500) DEFAULT ' ' NOT NULL
);



/**End D:\PDM_UPGRADE\PDM1\HBSS_table.sql **/
